Author Topic: Can someone explain this error to me?  (Read 883 times)

My poly is pink (I tried to update the shade but it didn't work) and I receive this error:

[ResourceShader] lib-sparse.glsl:62 | 3(62) : error C1115: unable to find compatible overloaded function "textureQueryLOD(sampler2D, vec2)"
[ResourceShader] lib-sparse.glsl:137 | 3(137) : error C1115: unable to find compatible overloaded function "textureQueryLOD(sampler2D, vec2)"
[ResourceShader] shader-extensions.glsl:7 | 1(7) : warning C7547: extension GL_ARB_texture_query_lod not supported in profile gp4fp
[ResourceShader] --- FS compile log END ---
[Plugin - resources-updater] Resource "clay" has been updated
[Plugin - resources-updater] Resource "clay" has been updated
[ResourceShader] ----- FS compile log -----
[ResourceShader] File index:
    0: shader-skeleton.frag.glsl
    1: shader-extensions.glsl
    2: shader-common.frag.glsl
    3: lib-sparse.glsl
    4: lib-utils.glsl
    5: lib-bayer.glsl
    6: pbr-metal-rough-with-alpha-test
    7: lib-sss.glsl
    8: lib-sampler.glsl
    9: lib-defines.glsl
    10: lib-alpha.glsl
    11: lib-random.glsl
    12: lib-pbr.glsl
    13: lib-env.glsl
    14: lib-emissive.glsl
    15: lib-vectors.glsl
    16: lib-normal.glsl
    17: lib-pom.glsl
[ResourceShader] lib-sparse.glsl:62 | 3(62) : error C1115: unable to find compatible overloaded function "textureQueryLOD(sampler2D, vec2)"
[ResourceShader] lib-sparse.glsl:137 | 3(137) : error C1115: unable to find compatible overloaded function "textureQueryLOD(sampler2D, vec2)"
[ResourceShader] lib-sss.glsl:63 | 7(63) : error C7011: implicit cast from "int" to "uint"
[ResourceShader] lib-sss.glsl:67 | 7(67) : error C7011: implicit cast from "int" to "uint"
[ResourceShader] shader-extensions.glsl:7 | 1(7) : warning C7547: extension GL_ARB_texture_query_lod not supported in profile gp4fp
[ResourceShader] --- FS compile log END ---
[Plugin - resources-updater] Resource "pbr-metal-rough" has been updated

Could you please attach the full log file?